wordpressのアップデートができない ファイルパーミッションエラー 


お久しぶりです。堀田です。なんだか色々大変な羽目に陥っていますが、本件もその一つです。

お客さまがご自身でインストールされたwordpressに、サイト構築しています。

wp本体のverupが出てますので、アップデートしようかと思いきや、エラーが出ます。
「更新出来ません。これはファイルのパーミッションの設定の問題であることが多いです。」

たしかに、、気になってはいたんですよね。
ファイル所有者がapacheの場合と、kusanagiの場合と、
両方入り混じっていて、ついでに書き込み権限も、755だったり、604だったり。
なんのこっちゃ。

これを機に、真面目に調べてみることにしました。

とりあえず、Codex

所有者に対してすべての書き込みを許可。。って、
そもそも、なぜ所有者がapacheとkusanagiと混合していたのさ。。
初期インストールがkusanagiで、
wordpress上でプラグインとかインストールするとapacheになってる気がするんだけど。

これは、やはり、wpをインストールした張本人に聞かないとだめかな。どうやってインストールしたんですか?って。
サーバ管理者、wpには弱いし、私はkusanagi(もとい、ここのサーバコンソール)は触ったことがない。
会話が成り立つか??

とりあえず、レッツトラーイ ♪

ちなみに、それが終わったら、これですかね。
推奨するセキュリティ設定:kusanagi

02.09 追加
サーバー管理者様から。
「kusanagiは、rpmで管理しているから、wordpress coreは、自動アップデートでアップデートしないでね。」
ああ、確認して、よかった。。。。。。(汗)

Pocket


Copyright(c) 2016 ajisai-planning All Rights Reserved.